NX Open C++ Reference Guide
|
Represents a Features::PartGeometryCopySelectBuilder builder
Created in NX9.0.0.
More...
Public Member Functions | |
NXOpen::ScCollector * | BodyCollector () |
Returns the body collector Created in NX9.0.0. | |
NXOpen::SelectTaggedObject * | BodyObject () |
Returns the body group Created in NX9.0.0. | |
NXOpen::Section * | CompositeCurve () |
Returns the composite curve Created in NX9.0.0. | |
NXOpen::ScCollector * | CompositeFace () |
Returns the composite face Created in NX9.0.0. | |
int | CurrentObjectType () |
Returns the type of current object to be copied Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | Curve () |
Returns the curve Created in NX9.0.0. | |
NXOpen::Features::SelectFeature * | CurveFeature () |
Returns the curve feature Created in NX9.0.0. | |
NXOpen::SelectTaggedObject * | Datum () |
Returns the datum Created in NX9.0.0. | |
NXOpen::Expression * | Expression () |
Returns the expression Created in NX9.0.0. | |
NXOpen::SelectFace * | Face () |
Returns the face Created in NX9.0.0. | |
NXString | ObjectDescription () |
Returns the object description of selected item Created in NX9.0.0. | |
NXString | ObjectName () |
Returns the object name of selected item Created in NX9.0.0. | |
NXString | ObjectType () |
Returns the object type of selected item Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | Pmi () |
Returns the pmi Created in NX9.0.0. | |
NXOpen::SelectPoint * | Point () |
Returns the point Created in NX9.0.0. | |
bool | ReverseDirection () |
Returns the reverse direction Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | RoutingObject () |
Returns the routing object Created in NX9.0.0. | |
void | SetCurrentObjectType (int currentObjectType) |
Sets the type of current object to be copied Created in NX9.0.0. | |
void | SetExpression (NXOpen::Expression *expression) |
Sets the expression Created in NX9.0.0. | |
void | SetObjectDescription (const NXString &objectDescription) |
Sets the object description of selected item Created in NX9.0.0. | |
void | SetObjectDescription (const char *objectDescription) |
Sets the object description of selected item Created in NX9.0.0. | |
void | SetObjectName (const NXString &objectName) |
Sets the object name of selected item Created in NX9.0.0. | |
void | SetObjectName (const char *objectName) |
Sets the object name of selected item Created in NX9.0.0. | |
void | SetObjectType (const NXString &objectType) |
Sets the object type of selected item Created in NX9.0.0. | |
void | SetObjectType (const char *objectType) |
Sets the object type of selected item Created in NX9.0.0. | |
void | SetReverseDirection (bool reverseDirection) |
Sets the reverse direction Created in NX9.0.0. | |
NXOpen::SelectSketch * | Sketch () |
Returns the sketch Created in NX9.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::PartGeometryCopySelectBuilder builder
Created in NX9.0.0.
NXOpen::ScCollector* NXOpen::Features::PartGeometryCopySelectBuilder::BodyCollector | ( | ) |
Returns the body collector
Created in NX9.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::PartGeometryCopySelectBuilder::BodyObject | ( | ) |
Returns the body group
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::PartGeometryCopySelectBuilder::CompositeCurve | ( | ) |
Returns the composite curve
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::PartGeometryCopySelectBuilder::CompositeFace | ( | ) |
Returns the composite face
Created in NX9.0.0.
License requirements : None
int NXOpen::Features::PartGeometryCopySelectBuilder::CurrentObjectType | ( | ) |
Returns the type of current object to be copied
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::PartGeometryCopySelectBuilder::Curve | ( | ) |
Returns the curve
Created in NX9.0.0.
License requirements : None
NXOpen::Features::SelectFeature* NXOpen::Features::PartGeometryCopySelectBuilder::CurveFeature | ( | ) |
Returns the curve feature
Created in NX9.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::PartGeometryCopySelectBuilder::Datum | ( | ) |
Returns the datum
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::PartGeometryCopySelectBuilder::Expression | ( | ) |
Returns the expression
Created in NX9.0.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::PartGeometryCopySelectBuilder::Face | ( | ) |
Returns the face
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Features::PartGeometryCopySelectBuilder::ObjectDescription | ( | ) |
Returns the object description of selected item
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Features::PartGeometryCopySelectBuilder::ObjectName | ( | ) |
Returns the object name of selected item
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Features::PartGeometryCopySelectBuilder::ObjectType | ( | ) |
Returns the object type of selected item
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::PartGeometryCopySelectBuilder::Pmi | ( | ) |
Returns the pmi
Created in NX9.0.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::Features::PartGeometryCopySelectBuilder::Point | ( | ) |
Returns the point
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::PartGeometryCopySelectBuilder::ReverseDirection | ( | ) |
Returns the reverse direction
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::PartGeometryCopySelectBuilder::RoutingObject | ( | ) |
Returns the routing object
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::PartGeometryCopySelectBuilder::SetCurrentObjectType | ( | int | currentObjectType | ) |
Sets the type of current object to be copied
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
currentObjectType | currentobjecttype |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetExpression | ( | NXOpen::Expression * | expression | ) |
Sets the expression
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
expression | expression |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectDescription | ( | const NXString & | objectDescription | ) |
Sets the object description of selected item
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
objectDescription | objectdescription |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectDescription | ( | const char * | objectDescription | ) |
Sets the object description of selected item
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
objectDescription | objectdescription |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectName | ( | const NXString & | objectName | ) |
Sets the object name of selected item
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
objectName | objectname |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectName | ( | const char * | objectName | ) |
Sets the object name of selected item
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
objectName | objectname |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectType | ( | const NXString & | objectType | ) |
Sets the object type of selected item
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
objectType | objecttype |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetObjectType | ( | const char * | objectType | ) |
Sets the object type of selected item
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
objectType | objecttype |
void NXOpen::Features::PartGeometryCopySelectBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets the reverse direction
Created in NX9.0.0.
License requirements : gateway ("UG GATEWAY")
reverseDirection | reversedirection |
NXOpen::SelectSketch* NXOpen::Features::PartGeometryCopySelectBuilder::Sketch | ( | ) |
Returns the sketch
Created in NX9.0.0.
License requirements : None